Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066476 - Generic http management operation upload handler
Summary: Generic http management operation upload handler
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR1
: EAP 6.3.0
Assignee: Emanuel Muckenhuber
QA Contact: Jakub Cechacek
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 13:54 UTC by Emanuel Muckenhuber
Modified: 2015-02-01 23:05 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:39:51 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker EAP6-20 Minor Verified Expose patch installation in console 2015-10-14 10:46:42 UTC
JBoss Issue Tracker WFLY-2913 Major Resolved Generic http management operation upload handler 2015-10-14 10:46:42 UTC

Description Emanuel Muckenhuber 2014-02-18 13:54:50 UTC
The current /management http API handler, does not support generic content uploads, where the add-content handler only allows addition to the content repository. Since operations might attach multiple streams to the operation we need a http handler which can deal with those requests.

This is needed by the console to apply patches.

Comment 1 Kabir Khan 2014-02-20 17:02:00 UTC
This is a requirement for https://issues.jboss.org/browse/EAP6-20 to work, so I am testing it for merging, and will merge once successful - acks or no acks :-)

https://github.com/jbossas/jboss-eap/pull/932

Comment 3 Jakub Cechacek 2014-03-19 10:05:50 UTC
Verified based on the testing of patching mechanism exposure in console (as it's directly used there). 

6.3.0.DR4


Note You need to log in before you can comment on or make changes to this bug.